.smartphone-choose 
    flex auto
    display flex
    flex-direction row

    div:first-child
        display flex
        flex-direction column

    &__list
        flex auto 1 1 

    &__list-item
        cursor          pointer
        text-overflow   ellipsis
        overflow        hidden
        white-space     nowrap
        &:hover
            background-color: #999999

    .smartphone-details
        flex auto
